//
// OpenVPN Administrator
//
// Author(s): Everaldo Canuto <everaldo@bananacrew.com>
//
// (C) 2004-2005 BananaCrew Limited <www.bananacrew.com>
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

using System;
using Gtk;
using Glade;

namespace OpenVPN.Admin
{
	public class LogForm : BaseDialog
	{
		#region Fields
		
		[Widget] TextView textview;
		[Widget] Label titulo;
		[Widget] Image imageConnection;
		
		#endregion
	
		#region Constructors and destructors
		
		public LogForm(string entry)
		{
			InitializeComponent("logForm");

			Window.Icon = Gdk.Pixbuf.LoadFromResource("openvpn-admin.png");
									
			try
			{
				textview.Buffer.Text = Configuration.LogContents(entry);
			}
			catch {}
			
			Configuration config = new Configuration(entry);
			titulo.Text = "Connection " + (config.Active ? "" : "not ") + "initialized.";
			imageConnection.Pixbuf = Gdk.Pixbuf.LoadFromResource((config.Active ? "gtk-connected.png" : "gtk-disconnected.png"));
		}
        
		#endregion
	}
}
