//
// OpenVPN Administrator
//
// Author(s): Everaldo Canuto <everaldo@bananacrew.com>
//
// (C) 2004-2005 BananaCrew Limited <www.bananacrew.com>
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

using System;
using Gtk;
using Glade;

namespace OpenVPN.Admin
{
	public class PassForm
	{
		#region Fields
		
		[Widget] Dialog passForm;
		[Widget] Image imageLogo;
		[Widget] Entry entryPassword;
		
		private string password;
		
		#endregion
	
		#region Constructors and destructors
		
		public PassForm() 
		{
			InitializeComponent();
		}
        
		private void InitializeComponent()
		{
			// certForm			
			Glade.XML gxml = new Glade.XML (null, "openvpn-admin.glade", "passForm", null);
			gxml.Autoconnect (this);
			passForm.Icon    = Gdk.Pixbuf.LoadFromResource("certificate.png");
			imageLogo.Pixbuf = Gdk.Pixbuf.LoadFromResource("certificate.png");
		}
                
		#endregion
        
		#region Public methods
		
		public Gtk.ResponseType Show()
		{
			return (Gtk.ResponseType) this.passForm.Run();
		}
	
		#endregion
		
		#region Public events

		public void on_ok_clicked(object o, EventArgs args) 
		{
			this.password = entryPassword.Text;
			passForm.Hide();
		}

		public void on_cancel_clicked(object o, EventArgs args) 
		{
			passForm.Hide();
		}
		
		#endregion
		
		#region Public properties
		
		public string Password
		{
			get { return this.password; }
		}
		
		#endregion
	}
	
}
